package cn.iocoder.yudao.module.member.mq.consumer.score.core;

import cn.iocoder.yudao.module.member.enums.ScoreRuleTypeEnum;
import cn.iocoder.yudao.module.member.mq.message.ScoreMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
/**
 * @author zhangfeng
 */
@Service
@Slf4j
public class RegisterStrategy implements ScoreRuleStrategy{

    @Override
    public void addScore(ScoreMessage message) {
        log.info("注册增加积分");
    }

    @Override
    public ScoreRuleTypeEnum getScoreRuleType() {
        return ScoreRuleTypeEnum.REGISTER;
    }
}
