package cn.iocoder.yudao.module.member.mq.message;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessage;
import cn.iocoder.yudao.module.member.enums.ScoreRuleTypeEnum;
import lombok.*;
/**
 * @author zhangfeng
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScoreMessage extends AbstractStreamMessage {
    private ScoreRuleTypeEnum scoreRuleType;
    private Long orderId;
    @Override
    public String getStreamKey() {
        return "member.score.add";
    }
}
